## org.hibernate.envers.configuration
Class AuditConfiguration

    java.lang.Object
      org.hibernate.envers.configuration.AuditConfiguration

    public class AuditConfiguration

extends Object

Author:
  Adam Warski (adam at warski dot org), Stephanie Pau at Markit Group Plc

Constructor Summary
`AuditConfiguration(Configuration cfg)`

Method Summary
`AuditEntitiesConfiguration` `getAuditEntCfg()`
`AuditStrategy` `getAuditStrategy()`
`EntitiesConfigurations` `getEntCfg()`
`static AuditConfiguration` `getFor(Configuration cfg)`
`GlobalConfiguration` `getGlobalCfg()`
`RevisionInfoNumberReader` `getRevisionInfoNumberReader()`
`RevisionInfoQueryCreator` `getRevisionInfoQueryCreator()`
`AuditProcessManager` `getSyncManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditConfiguration

    public AuditConfiguration(Configuration cfg)

Method Detail

### getAuditEntCfg

    public AuditEntitiesConfiguration getAuditEntCfg()

### getSyncManager

    public AuditProcessManager getSyncManager()

### getGlobalCfg

    public GlobalConfiguration getGlobalCfg()

### getEntCfg

    public EntitiesConfigurations getEntCfg()

### getRevisionInfoQueryCreator

    public RevisionInfoQueryCreator getRevisionInfoQueryCreator()

### getRevisionInfoNumberReader

    public RevisionInfoNumberReader getRevisionInfoNumberReader()

### getAuditStrategy

    public AuditStrategy getAuditStrategy()

### getFor

    public static AuditConfiguration getFor(Configuration cfg)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.